@import "src/scss/variables/colors";
@import "src/scss/mixins/mixin";

html, body, .container {
  //height: 100%;
  font-family: Roboto, Verdana, SansSerif;
}

.container {
  display: grid;
  grid-template-rows: 0fr 1fr 5fr;
  grid-template-areas: 'nav' 'header' 'main';
  width: 320px;
  margin: 0 auto;
  position: relative;
}

.nav {
grid-area: nav;
margin: 23px 0;
  &__list {
    display: none;
    flex-direction: column;
    justify-content: space-around;
    background-color: $colorLightGrey;
    width: 182px;
    position: absolute;
    right: 0px;
    top: 60px;
  }
    &__item {
      @include font-nav;
      padding: 10px;
    }
    &__item:hover {
      background-color: $colorGrey;
    }
    &__link {
      text-decoration: none;
      @include font-nav;
    }
    &__bar {
    text-align: right;
    &-btn {
      background-color: $colorBlack;
      color: $colorWhite;
      border: none;
      width: 44px;
      height: 37px;
      font-size: 24px;
    }
  }
}

.header {
  grid-area: header;
  &__image {
    background-image: url("../img/background_mob.png");
    width: 320px;
    height: 150px;
  }
}

.active {
  display: flex;
}
